Name:		fbpanel
Version:	6.1
Release:	1%{?dist}
Summary:	A lightweight X11 desktop panel

Group:		User Interface/Desktops
# %%{_bindir}/fbpanel and almost all plugins are under LGPLv2+
# Some plugins (cpu.so, pager.so, tray.so) are under GPLv2+
License:	LGPLv2+ and GPLv2+
URL:		http://fbpanel.sourceforge.net
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tbz2
Patch0:		fbpanel-6.1-dsofix.patch
# distro specific patches
Patch10:	fbpanel-6.1-default-config.patch
Patch11:        fbpanel-6.1-default-applications.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel libXpm-devel libXmu-devel desktop-file-utils
Requires:       xdg-utils

%description
fbpanel is a lightweight X11 desktop panel. It works with any ICCCM / NETWM 
compliant window manager such as sawfish, metacity, openbox, xfwm4, or KDE.
It features tasklist, pager, launchbar, clock, menu and systray.

%prep
%setup -q
%patch0 -p1 -b .dsofix
%patch10 -p1 -b .default-config
%patch11 -p1 -b .default-applications
# preserve timestamps during install
sed -i.timstamps -e 's|install -m|install -p -m|' scripts/install.sh
# honor optflags
sed -i.optflags -e 's|-fPIC|-fPIC ${RPM_OPT_FLAGS}|' scripts/custom.sh


%build
# %%configure macro doesn't work
./configure --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --datadir=%{_datadir} \
    --mandir=%{_mandir}
make %{?_smp_mflags} cflagsx="${RPM_OPT_FLAGS}"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# man page
install -Dpm 644 data/man/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

# change some icon names that were also changed in the default panel config
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/images/logo.png \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/images/start-here.png

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/images/gnome-session-halt.png \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/images/system-shutdown.png

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/images/gnome-session-reboot.png \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/images/system-reboot.png

# volume plugin is not working and prevents starting of fbpanel, lets remove it.
# https://sourceforge.net/tracker/?func=detail&aid=3121295&group_id=66031&atid=513125
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/volume.so


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING CREDITS README NOTES
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Nov 28 2010 Christoph Wickert <cwickert@fedoraproject.org> - 6.1-1
- Update to 6.1
- Require xdg-utils for screenlocking
- Add patch to make sure default applications are installed

* Thu Feb 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 5.6-2
- Add patch to fix DSO linking (#565202)

* Sun Feb 07 2010 Christoph Wickert <cwickert@fedoraproject.org> - 5.6-1
- Update to 5.6
- Update icon-cache scriptlets
- Remove useless desktop file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 04 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-6
- Add icon.patch to bring the Fedora icon to the panel
- Modified the existing apps in the Panel (like emacs -> gedit)

* Wed Jun 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-5
- Add comment about the license
- Remove redundant Source2:

* Tue Jun 17 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-4
- Add correct url for Source:
- Add gtk-update-icon-cache
- Add timestamps
- Add missing debuginfo rpm
- Changed licence, MIT to LGPLv2+ and GPLv2+
- Remove unneeded ldconfig
- Remove redundant BuildRequires: atk-devel, pango-devel and cairo-devel

* Sun Jun 15 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-3
- Solved build failure and broken libs-patch with patch from Robert Scheck

* Sat Jun 07 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-2
- fixed rpmlint errors
- new .desktop file
- cleanup

* Sun May 25 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-1
- first version of the SPEC file
